# （十八）截图




### 截图

在测试用例失败的时候进行截图，这是大家经常会遇到的需求。

### 目的

* 学会使用takeScreenshot()方法

### 场景

下面我们就用代码实现打开[测试教程网 selenium javascript教程](http://www.testclass.net/selenium_javascript/)，然后截图的功能

### 代码

```javascript
var webdriver = require('selenium-webdriver'),
  By = webdriver.By;

var Key = webdriver.Key;

var dr = new webdriver.Builder().forBrowser('chrome').build();
dr.get('http://www.testclass.net/selenium_javascript/');
dr.takeScreenshot().then(function(data) {
  require('fs').writeFile('pic.png', data, 'base64');
  dr.quit();
})

```

### 运行结果

脚本目录下会出现pic.png文件。




原始封面

![课程图片](https://images.unsplash.com/photo-1504966981333-1ac8809be1ca?w=300)


